#include <stdio.h>
#include <stdlib.h>



int main(int argc, char *argv[]) {
		int n,i=0,j=0;
float Ai[n];
float Pi[n];
float z[n];
float  r[n];
float maxr;
scanf("%d",&n);
for(i=0;i<n;i++){
	scanf("%f %f",&Ai[i],&Pi[i]);
}
for(j=0;j<n;j++){
	for(i=0;i<n;i++){
		if(Pi[j]<=Pi[i]){
		z[j]=z[j]+Ai[i];
		}
		}
		r[j]=z[j]*(Pi[j]/100);
		if(maxr<r[j]){
			maxr=r[j];
	}
}
printf("%f",maxr);
	return 0;
}